# Overview

This plugin is made for data quality enthusiasts!

**Access and manage the metadata of your notes in [Obsidian](https://obsidian.md).**


!!! info "Metadata"
    
    In Obsidian, metadatas are information defined in Yaml syntax in the [front matter](https://help.obsidian.md/Advanced+topics/YAML+front+matter) section of a note. Metadata are very convenient to categorize notes and make queries to find them. Some plugins have leveraged metadata to make advanced queries against your vault, such as [Dataview](https://blacksmithgu.github.io/obsidian-dataview/). Dataview has also introduce a new syntax to define metadata anywhere in a note (not only in frontmatter but also in the body of the note) with the syntax `fieldName::value`

Metadata Menu adds context menu items to modifiy target note's frontmatter fields and "inline fields" ([dataview](https://blacksmithgu.github.io/obsidian-dataview/) syntax) by right-clicking on the link, accessing options in the command palette, or within dataview tables.

You can define preset types and values for those fields globally in the plugin's settings or on a file-by-file basis thanks to fileClass definition

It also enables frontmatter of inline-field autocompletion with suggested values based on preset values.

[demo 1](https://youtu.be/7bvIAkJf0OE) : basic features, settings and field types

[demo 2](https://youtu.be/gU-StGyDciY ): autocompletion and "in sentence" fields commands

[demo 3](https://youtu.be/sYudigxPEnY): File type fields

[demo 4](https://youtu.be/PrbYaVh7N7g): Date type fields

[demo 5](https://youtu.be/Mq2tbA0RVM8): Templates for Input type fields:

[demo 6](https://youtu.be/QxXSuh7HUZY): FileClass

[demo 7](https://youtu.be/6dEk9no269g): Time shifting for spaced repetition or date postponing

[demo 8](https://youtu.be/ad0nJf8TZP8): Lookup fields

[demo 9](https://youtu.be/zUcZWG7nWF4): Lookup fields as bullet list

[demo 10](https://youtu.be/vc55ivQuHuY): Better Select and File fields

[demo 11](https://youtu.be/I73uW8fqOZ8): Supercharged Tags, multi fileClasses and metadata button
